List Dashboards

List Dashboards

GET https://api.ocamba.com/v2/adex/dashboards
Returns system dashboards and dashboards created by the user.

Tip

Searchable fields are name and description. Default search field is name.

Sortable fields are name, is_default, create_time, and update_time. Default sort is is_default,-create_time.

Note

The list returns system dashboards and dashboards created by the user.

Widgets are included when you use view=full.

Missing resource on GET returns 200 with total 0 and items [].

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Query parameters

parameters

Response schemas

curl -X GET \
 "https://api.ocamba.com/v2/adex/dashboards" \
  -H "Authorization: Bearer {TOKEN}"
const url = 'https://api.ocamba.com/v2/adex/dashboards';
const options = {
  method: 'GET',
  headers: {
    Authorization: `Bearer {TOKEN}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v2/adex/dashboards");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

200 OK

{
  "total": 2,
  "items": [
    {
      "id": "8",
      "company_id": "200",
      "creator_id": "1000077",
      "name": "Overview",
      "description": "Daily overview",
      "icon": null,
      "system": 1,
      "is_default": 1,
      "create_time": "2026-03-01 10:00:00",
      "update_time": "2026-03-01 10:00:00"
    },
    {
      "id": "21",
      "company_id": "200",
      "creator_id": "1000077",
      "name": "My dashboard",
      "description": null,
      "icon": null,
      "system": 0,
      "is_default": 0,
      "create_time": "2026-03-10 12:00:00",
      "update_time": "2026-03-12 09:00:00"
    }
  ]
}

400 Bad Request

{
  "code": 400,
  "title": "Bad request.",
  "message": "The request is not valid.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}

500 Internal Server Error

{
  "code": 500,
  "title": "Internal server error.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses